#/usr/bin/perl

my $filecount=0;
$ARGV[0] =~ s/\/$//;

open(META,">corpusCampagne2002-meta.txt");

Show_Dir($ARGV[0]);

sub Show_Dir {
	my $path = shift(@_);

	opendir(DIR, $path) or die "can't open $path: $!\n";
	my @files = readdir(DIR);
	closedir(DIR);

	foreach my $file (@files) {
		next if $file =~ /^\.\.?$/;
		$file = $path."/".$file;
		if (-d $file) {
			Show_Dir($file);	#recurse!
		}
		elsif (-f $file) {
			print "-f: $file\n";
			print "$filecount\n";
			$filecount++;
#			$file=~s/\(/\\\(/;
#			$file=~s/\)/\\\)/;
			if ($file=~/SFC-campagne-.*\.xml/) {
			    print "FILE$filecount = $file\n";
			    open(FILE,"$file");
			    while ($ligne=<FILE>) {
				if ($ligne=~/<PAGE>\/Users\/serge\/Recherche\/Campagne2002\/aspiration(........)\/([^\.]+)\.htm</) {
				    print META "#<date=$1>\n";
				    print META "<auteur=$2>\n";
				    print META "~<auteurdate=$1_$2>\n";
				}
				if ($ligne=~/<ITEM>META\(CONTENT=([^\)]+)\)</) {
				    print META " $1\n\n";
				}
				
			    }
			    close (FILE);
			}
		    }

		else {
			print "else: $file\n";
		}

	}

	print "$filecount files";

    }



close (META);
